Bug 245427 - devel/bazel update to 3.0.0
Summary: devel/bazel update to 3.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-04-07 17:42 UTC by Klaus Aehlig
Modified: 2020-04-11 06:56 UTC (History)
1 user (show)

See Also:


Attachments
Patch for devel/bazel to update to 3.0.0 (5.42 KB, patch)
2020-04-07 17:42 UTC, Klaus Aehlig
aehlig: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Klaus Aehlig 2020-04-07 17:42:33 UTC
Created attachment 213160 [details]
Patch for devel/bazel to update to 3.0.0

Update devel/bazel to 3.0.0

Release notes: https://blog.bazel.build/2020/03/31/bazel-3.0.html
Comment 1 Automation User 2020-04-07 18:47:21 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/133766777
Comment 2 Tobias C. Berner freebsd_committer 2020-04-11 06:56:09 UTC
Committed. Thanks.
Comment 3 commit-hook freebsd_committer 2020-04-11 06:56:22 UTC
A commit references this bug:

Author: tcberner
Date: Sat Apr 11 06:55:56 UTC 2020
New revision: 531405
URL: https://svnweb.freebsd.org/changeset/ports/531405

Log:
  devel/bazel update to 3.0.0

  Release notes: https://blog.bazel.build/2020/03/31/bazel-3.0.html

  PR:		245427
  Submitted by:	Klaus Aehlig <aehlig@linta.de> (maintainer)

Changes:
  head/devel/bazel/Makefile
  head/devel/bazel/distinfo
  head/devel/bazel/files/patch-src_main_java_com_google_devtools_build_lib_bazel_rules_python_BazelPythonSemantics.java
  head/devel/bazel/files/patch-third_party__BUILD
  head/devel/bazel/files/patch-tools__jdk__default_java_toolchain.bzl